Subject: Re: linux-next: build failure after merge of the hmm tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 3 Sep 2019 09:45:11 +1000

Hi Jason,

On Mon, 2 Sep 2019 10:51:41 +0000 Jason Gunthorpe <[email-masked]> wrote:
>
> On Mon, Sep 02, 2019 at 08:50:17PM +1000, Stephen Rothwell wrote:
> > Hi all,  
> 
> > ERROR: "nd_region_provider_data" [drivers/acpi/nfit/nfit.ko] undefined!
> > ERROR: "to_nd_blk_region" [drivers/acpi/nfit/nfit.ko] undefined!
> > ERROR: "nvdimm_region_notify" [drivers/acpi/nfit/nfit.ko] undefined!
> > ERROR: "nvdimm_blk_region_create" [drivers/acpi/nfit/nfit.ko] undefined!
> > 
> > Caused by commit
> > 
> >   126470c8a58b ("libnvdimm: Enable unit test infrastructure compile checks")
> > 
> > I have reverted that commit for today.
> 
> Looks like more kconfig trouble, can you send Dan your kconfig? I'll
> drop this patch again
>

Thanks.  It was just an x86_64 allmodconfig build.  I don't actually
have the .config file (it gets cleaned up, sorry).
-- 
Cheers,
Stephen Rothwell